<div class="login">
    <h2 class="login-header">Connexion</h2>
    <form class="login-container" #form="ngForm" (ngSubmit)="login()" novalidate name="formLogin">    

        <p>
            <input name="pseudo" type="pseudo" placeholder="Pseudo" [(ngModel)]="pseudo" required>
        </p>    

        <p>
            <input name="phone" type="text" placeholder="Numéro" [(ngModel)]="phone" required>
        </p>  

        <p>
            <input name="password" type="password" placeholder="Password" [(ngModel)]="password" required>
        </p>    

        <p *ngIf="showTokenInput">
            <input name="token" type="text" placeholder="Code" [(ngModel)]="token" required>
        </p>

        <div *ngIf="!form.valid" class="alert">

            Remplissez ces deux champs.

        </div>

        <div *ngIf="loading" style="text-align: center;">
            <img src="../../../../assets/images/loading1.gif" width="60">
        </div>
        <div *ngIf="errConnexion" class="alert">
            Temps de connexion trop long.
        </div>
        {{ message_error }}

        <p>
            <input type="submit" value="Valider">
        </p>
        <a (click)="openRegister()" class="lien">Pas encore inscris ?</a>
    </form>
  </div>